PROBS TO INSTALL CROSSGCC on i486-linux

John Ford jford@bara.gb.nrao.edu
Thu Feb 5 06:40:00 GMT 1998


> /tmp/cca18314.s: Assembler messages:
> /tmp/cca18314.s:97: Error: operands mismatch -- statement `tst.l %a4'
> ignored
> 
> Binutils: binutils-2.8.1
> GCC : gcc-2.7.2.1 with crossgcc-gcc-2.7.2.1.patch
> Newlib : newlib-1.8.0
> GDB:  gdb-4.16
> 
> host=i486-linux
> target=m68k-coff

There is a patch for this problem.  It is gcc-2.7.2.2-2.7.2.3.diff.
Note that you have 2.7.2.1, so you are a patch behind.  I know that
the description of this patch says that it is just for Linux native
users, but that is not true.  This patch will eliminate the error you
cite.  If you don`t want to get 2.7.2.2, you may be able to patch it
by hand.  

John



More information about the crossgcc mailing list